Package com.collibra.dgc.core.api.dto.workflow

# Class ChangeAssetTypeAssignmentRuleRequest

Object
ChangeAssetTypeAssignmentRuleRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeAssetTypeAssignmentRuleRequest extends Object implements Serializable
The properties of the asset type assignment rule to be changed

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeAssetTypeAssignmentRuleRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeAssetTypeAssignmentRuleRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeAssetTypeAssignmentRuleRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetTypeId()`
  Required. The ID of the asset type the changed rule should refer to.
  `UUID`
  `getCommunityId()`
  The ID of the community the assignment rule should apply for.
  `UUID`
  `getDomainId()`
  The ID of the domain the assignment rule should apply for.
  `Boolean`
  `getExactResourceTypeMatch()`
  When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule.
  `UUID`
  `getRuleId()`
  Required. The ID of the domain type assignment rule.
  `UUID`
  `getStatusId()`
  The ID of the (Asset Type) status the assignment rule should apply for.
  `UUID`
  `getWorkflowDefinitionId()`
  Required. The ID of the workflow definition containing the assignment rule to be changed.
  `int`
  `hashCode()`
  `void`
  `setAssetTypeId(UUID assetTypeId)`
  Required. The ID of the asset type the changed rule should refer to.
  `void`
  `setCommunityId(UUID communityId)`
  The ID of the community the assignment rule should apply for.
  `void`
  `setDomainId(UUID domainId)`
  The ID of the domain the assignment rule should apply for.
  `void`
  `setExactResourceTypeMatch(Boolean exactResourceTypeMatch)`
  When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule.
  `void`
  `setRuleId(UUID ruleId)`
  Required. The ID of the domain type assignment rule.
  `void`
  `setStatusId(UUID statusId)`
  The ID of the (Asset Type) status the assignment rule should apply for.
  `void`
  `setWorkflowDefinitionId(UUID workflowDefinitionId)`
  Required. The ID of the workflow definition containing the assignment rule to be changed.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeAssetTypeAssignmentRuleRequest

    public ChangeAssetTypeAssignmentRuleRequest()

- ## Method Details

  - ### builder

    public static ChangeAssetTypeAssignmentRuleRequest.Builder builder()

  - ### getWorkflowDefinitionId

    public UUID getWorkflowDefinitionId()
    Required. The ID of the workflow definition containing the assignment rule to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### getRuleId

    public UUID getRuleId()
    Required. The ID of the domain type assignment rule. Silently ignored if the ID is provided as path parameter of the request.

  - ### getAssetTypeId

    public UUID getAssetTypeId()
    Required. The ID of the asset type the changed rule should refer to.

  - ### getDomainId

    public UUID getDomainId()
    The ID of the domain the assignment rule should apply for.

  - ### getCommunityId

    public UUID getCommunityId()
    The ID of the community the assignment rule should apply for.

  - ### getStatusId

    public UUID getStatusId()
    The ID of the (Asset Type) status the assignment rule should apply for.

  - ### getExactResourceTypeMatch

    public Boolean getExactResourceTypeMatch()
    When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule. Child asset types are excluded.

  - ### setWorkflowDefinitionId

    public void setWorkflowDefinitionId(UUID workflowDefinitionId)
    Required. The ID of the workflow definition containing the assignment rule to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### setRuleId

    public void setRuleId(UUID ruleId)
    Required. The ID of the domain type assignment rule. Silently ignored if the ID is provided as path parameter of the request.

  - ### setAssetTypeId

    public void setAssetTypeId(UUID assetTypeId)
    Required. The ID of the asset type the changed rule should refer to.

  - ### setDomainId

    public void setDomainId(UUID domainId)
    The ID of the domain the assignment rule should apply for.

  - ### setCommunityId

    public void setCommunityId(UUID communityId)
    The ID of the community the assignment rule should apply for.

  - ### setStatusId

    public void setStatusId(UUID statusId)
    The ID of the (Asset Type) status the assignment rule should apply for.

  - ### setExactResourceTypeMatch

    public void setExactResourceTypeMatch(Boolean exactResourceTypeMatch)
    When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule. Child asset types are excluded.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`